#ifndef __MISC_H
#define __MISC_H

GList *glist_find_string(GList *list, char *str);
GList *glist_case_find_string(GList *list, char *str);

/* Read line from somewhere..

    socket : 0 = read from file/pipe, 1 = read from socket
    handle : file/socket handle to read from
    str    : where to put line
    buf    : temp buffer
    bufsize: temp buffer size
    bufpos : current position in temp buffer
*/
int read_line(int socket, int handle, char *str, char *buf, int bufsize, int *bufpos);

#endif
