#ifndef __TXT_H
#define __TXT_H

#include "gui.h"

#define IRCTXT_ERROR _("\%_ERROR%_ %s\n")
#define IRCTXT_DISCONNECTED _("Disconnected from %_%s%_ (%!%s%!)\n")
#define IRCTXT_SERVER_SELECTED _("Server %_%d%_ (%!%s%!) selected\n")
#define IRCTXT_SERVER_NOT_FOUND _("No such server ID: %_%d\n")
#define IRCTXT_CONNECTION_LOST _("Connection lost to %_%s%_\n")
#define IRCTXT_NOT_CONNECTED _("Not connected to any server yet\n")
#define IRCTXT_NOT_JOINED _("Not joined to any channels yet\n")
#define IRCTXT_CANT_CONNECT _("Unable to connect server %_%s%_ port %_%d%_\n")
#define IRCTXT_TALKING_IN _("Now talking in channel %_%s%_\n")
#define IRCTXT_QUERYING _("Now talking with %_%s%_\n")
#define IRCTXT_NO_QUERY _("No query with %_%s%_\n")
#define IRCTXT_YOUR_NICK_CHANGED _("You're now known as %_%s\n")
#define IRCTXT_NICK_CHANGED _("%_%s%_ is now known as %_%s\n")
#define IRCTXT_PONG _("PONG received from %s: %s\n")
#define IRCTXT_JOIN _("%_%s%_ [%!%s%!] has joined %s\n")
#define IRCTXT_CANNOT_JOIN _("Cannot join to channel %_%s%_ (%!%s%!)\n")
#define IRCTXT_PART _("%_%s%_ [%!%s%!] has left %s (%!%s%!)\n")
#define IRCTXT_KICK _("%_%s%_ was kicked from %s by %_%s%_ (%!%s%!)\n")
#define IRCTXT_QUIT _("%_%s%_ [%!%s%!] has quit IRC (%!%s%!)\n")
#define IRCTXT_INVITE _("%_%s%_ invites you to %_%s\n")
#define IRCTXT_NAMES _("%_%s%_ names: %s\n")
#define IRCTXT_ENDOFNAMES _("%_%s%_: End of /NAMES list\n")
#define IRCTXT_CTCP_REPLY _("%9CTCP %_%s%_ reply from %_%s%_: %!%s\n")
#define IRCTXT_CHANMODE_CHANGE _("mode/%_%s%_ [%!%s%!] by %_%s\n")
#define IRCTXT_USERMODE_CHANGE _("mode change [%!%s%!] for user %_%s\n")
#define IRCTXT_TOPIC _("Topic for %_%s%_: %!%s\n")
#define IRCTXT_NEW_TOPIC _("%_%s%_ changed the topic of %_%s%_ to: %!%s\n")
#define IRCTXT_TOPIC_INFO _("Topic set by %_%s%_ [%!%s%!]\n")
#define IRCTXT_DCC_CHAT _("%!DCC%! %_CHAT%_ from %_%s%_ [%!%s port %d%!]\n")
#define IRCTXT_DCC_CHAT_NOT_FOUND _("No DCC CHAT connection open to %_%s\n")
#define IRCTXT_DCC_CHAT_CONNECTED _("%!DCC%! %_CHAT%_ connection with %_%s%_ [%!%s port %d%!] established\n")
#define IRCTXT_DCC_CHAT_DISCONNECTED _("%!DCC%! lost chat to %_%s\n")
#define IRCTXT_DCC_SEND _("%!DCC%! %_%s%_ from %_%s%_ [%!%s port %d%!]: %!%s%! [%_%ld bytes%_]\n")
#define IRCTXT_DCC_SEND_EXISTS _("%!DCC%! already sending file %_%s%_ for %_%s%_\n")
#define IRCTXT_DCC_UNKNOWN_CTCP _("%!DCC%! unknown command %_%s%_ from %_%s%_ [%!%s %d%!]: %!%s%! [%_%ld%_]\n")
#define IRCTXT_DCC_UNKNOWN_REPLY _("%!DCC%! unknown reply %_%s%_ from %_%s%_: %!%s\n")
#define IRCTXT_DCC_UNKNOWN_COMMAND _("%!DCC%! unknown command: %!%s\n")
#define IRCTXT_DCC_UNKNOWN_TYPE _("%!DCC%! unknown type %_%s\n")
#define IRCTXT_DCC_CONNECT_ERROR _("%!DCC%! can't connect to %_%s%_ port %_%d\n")
#define IRCTXT_DCC_GET_NOT_FOUND _("%!DCC%! no file offered by %_%s\n")
#define IRCTXT_DCC_GET_CONNECTED _("%!DCC%! receiving file %!%s%! from %_%s%_ [%!%s port %d%!]\n")
#define IRCTXT_DCC_GET_COMPLETE _("%!DCC%! received file %!%s%! [%_%s%_] from %_%s%_ in %_%ld%_ secs [%_%fkb/s%_]\n")
#define IRCTXT_DCC_CANT_CREATE _("%!DCC%! can't create file %!%s\n")
#define IRCTXT_DCC_SEND_NOT_FOUND _("%!DCC%! file not found: %!%s\n")
#define IRCTXT_DCC_SEND_CONNECTED _("%!DCC%! sending file %!%s%! for %_%s%_ [%!%s port %d%!]\n")
#define IRCTXT_DCC_SEND_COMPLETE _("%!DCC%! sent file %!%s%! [%_%s%_] for %_%s%_ in %_%ld%_ secs [%_%fkb/s%_]\n")
#define IRCTXT_DCC_REJECTED _("%!DCC%! %_%s%_ was rejected by %_%s%_ (%!%s%!)\n")
#define IRCTXT_DCC_CLOSE _("%!DCC%! %_%s%_ close for %_%s%_ (%!%s%!)\n")
#define IRCTXT_SCRIPT_NOT_FOUND _("Script file not found: %!%s\n")
#define IRCTXT_WINDOW_UNKNOWN_CMD _("Unknown /WINDOW command: %!%s\n")
#define IRCTXT_BANLIST _("%!%s%!: ban %_%s%_, set by %!%s%! %_%lu%_ secs ago\n")
#define IRCTXT_ONLINE _("Users online: %_%s\n")
#define IRCTXT_IRCJOIN _("%_%s%_ has joined to IRC\n")
#define IRCTXT_IRCPART _("%_%s%_ has left IRC\n")

#endif
