#ifndef __GUI_DCC_H
#define __GUI_DCC_H

#include "data.h"

/* Create DCC transfer window */
void gui_dcc_init(DCC_REC *dcc);
/* Update DCC transfer window */
void gui_dcc_update(DCC_REC *dcc);
/* Close DCC transfer window */
void gui_dcc_close(DCC_REC *dcc);
/* Destroy DCC transfer window */
void gui_dcc_force_close(DCC_REC *dcc);

/* DCC chat connection established - do something.. */
void gui_dcc_chat_init(DCC_REC *dcc);
/* Text received from DCC chat - write to screen */
void gui_dcc_chat_write(DCC_REC *dcc, char *str);

#endif
